summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStuart Prescott <stuart@debian.org>2019-12-22 12:36:51 +1100
committerStuart Prescott <stuart@debian.org>2019-12-22 12:36:51 +1100
commit7565ab0b004fed2ba74dc733eb5db1145426215d (patch)
tree5e7d7b79cc649d3a5d64f48669bf247ce369ca81
parent111538115ecfc7e435f731643c741ba43069e6f0 (diff)
Add autopkgtest tests
-rw-r--r--debian/tests/control5
-rwxr-xr-xdebian/tests/python3-iniparse12
2 files changed, 17 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..ea2b6a2
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,5 @@
+Tests: python3-iniparse
+Restrictions: allow-stderr
+Depends:
+ python3-all,
+ python3-iniparse,
diff --git a/debian/tests/python3-iniparse b/debian/tests/python3-iniparse
new file mode 100755
index 0000000..b50f9ec
--- /dev/null
+++ b/debian/tests/python3-iniparse
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+set -u
+
+cp -r tests cfgparser.1 runtests.py "$AUTOPKGTEST_TMP"
+cd "$AUTOPKGTEST_TMP"
+
+export PYTHONWARNINGS=d
+
+for py in $(py3versions -i); do
+ $py ./runtests.py
+done